PUT /api/v3/account/{accountId}/list/bill/possibleDestinationAccounts

Retrieves a list of Accounts that contain meters of ALL of the commodities represented by the given Account's Bill List

GetPossibleDestinationAccountsForAccountListV3 Permissions: MoveExistingBills (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
accountId A specific Account that should be used for finding matching Accounts (uses all Bills on the Account Bill List). integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

MoveBillsDestination
Property Description Type
accounts Required (defined) DestinationAccountResponse[]
DestinationAccountResponse properties
Property Description Type
accountCode The account code Required (defined) string
accountId The account identifier Required (defined) integer (int32)
accountInfo The account info Required (defined) string
meters An array of identifiers for meters attached to this account Required (defined) DestinationAccountMeterChild[]
DestinationAccountMeterChild properties
Property Description Type
accountMeterId The AccountMeter identifier Required (defined) integer (int32)
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
meterCode The code of the Meter for this AccountMeter Required (defined) string
meterId The Meter identifier for this AccountMeter Required (defined) integer (int32)
meterInfo The info of the Meter for this AccountMeter Required (defined) string
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
commodities Required (defined) CommodityChild[]
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
Example Response application/json
{  "accounts": [
    {    "accountCode": "string",    "accountId": 1,    "accountInfo": "string",    "meters": [
      {      "accountMeterId": 1,      "commodity": {},      "meterCode": "string",      "meterId": 1,      "meterInfo": "string"
    }
    ],    "vendor": {      "vendorCode": "string",      "vendorId": 1,      "vendorInfo": "string"
    }
  }
  ],  "commodities": [
    {    "commodityCode": "string",    "commodityIcon": {      "code": "string",      "color": "string"
    },    "commodityId": 1,    "commodityInfo": "string"
  }
  ]
}